
Foreman - Tracker #34639

Stop generating api-pie cache and rely on dynamic generation of API docs

03/17/2022 08:29 PM - Eric Helms

Status: Closed % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

See RFC -- https://community.theforeman.org/t/generation-of-cached-api-doc-and-dynamic-content-types/26587

This changes needs to ensure:

Rendering of HTML docs does not break when a user requests it from the server

Hammer works

A change to Foreman or a plugins API results in hammer having an up to date JSON schema or throwing a warning that it is out

of date and needs to be re-fetched

Related issues:

Blocked by Installer - Feature #34640: Drop apipie cache generation and indexing Closed

Blocked by Packaging - Feature #34641: Drop apipie cache generation from RPM ... Closed

Blocked by Packaging - Feature #34642: Drop apipie cache generation from Debi... Closed

Blocked by Foreman - Feature #34643: Turn off caching for apipie in production Closed

History

#1 - 03/17/2022 08:30 PM - Eric Helms

- Description updated

#2 - 03/17/2022 08:30 PM - Eric Helms

- Blocked by Feature #34640: Drop apipie cache generation and indexing added

#3 - 03/17/2022 08:31 PM - Eric Helms

- Blocked by Feature #34641: Drop apipie cache generation from RPM builds added

#4 - 03/17/2022 08:32 PM - Eric Helms

- Blocked by Feature #34642: Drop apipie cache generation from Debian builds added

#5 - 03/17/2022 08:32 PM - Eric Helms

- Blocked by Feature #34643: Turn off caching for apipie in production added

#6 - 03/17/2022 08:35 PM - Eric Helms

- Description updated

#7 - 04/23/2022 05:48 PM - Eric Helms

- Status changed from New to Closed
